Package org.gradle.api.tasks.compile

# Class GroovyForkOptions

java.lang.Object
org.gradle.api.tasks.compile.BaseForkOptions
org.gradle.api.tasks.compile.ProviderAwareCompilerDaemonForkOptions
org.gradle.api.tasks.compile.GroovyForkOptions

All Implemented Interfaces:
  `Serializable`

public abstract class GroovyForkOptions extends ProviderAwareCompilerDaemonForkOptions
Fork options for Groovy compilation. Only take effect if `GroovyCompileOptions.fork` is `true`.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroovyForkOptions()`

- ## Method Summary

  ### Methods inherited from class org.gradle.api.tasks.compile.ProviderAwareCompilerDaemonForkOptions

  `getAllJvmArgs, getJvmArgumentProviders`

  ### Methods inherited from class org.gradle.api.tasks.compile.BaseForkOptions

  `getJvmArgs, getMemoryInitialSize, getMemoryMaximumSize, setJvmArgs, setMemoryInitialSize, setMemoryMaximumSize`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GroovyForkOptions

    public GroovyForkOptions()